Pycharm issue with CUDA 8.0

Answered

After reinstalling CUDA on my ubuntu 16.04 machine Pycharm can't run tensorflow related code anymore.

Running the same scripts from the terminal seems to work fine but pycharm keeps producing this error:

ImportError: libcusolver.so.8.0: cannot open shared object file: No such file or directory

I thought it was an issue with environment variables?

running:

import os
print(os.environ.get('CUDA_HOME'))
print(os.environ.get('LD_LIBRARY_PATH'))

results in:
/usr/local/cuda
/usr/local/cuda/bin64

So I guess this is fine?

Could anyone help?
This is Pycharm 2017.2.3

Kind regards,
Timothy

9 comments

Hello Timothy! Please run this script:

import sys
import os
import pkg_resources
from pprint import pprint

env = {n: (v.split(os.pathsep) if 'PATH' in n else v) for n, v in os.environ.items()}
pprint({
'sys.version_info': sys.version_info,
'sys.prefix': sys.prefix,
'sys.path': sys.path,
'pkg_resources.working_set': list(pkg_resources.working_set),
'os.environ': env,
})

in Pycharm and in the Terminal for the same interpreter and compare results.

0

{'os.environ': {'CLUTTER_IM_MODULE': 'xim',
                'COMPIZ_BIN_PATH': ['/usr/bin/'],
                'COMPIZ_CONFIG_PROFILE': 'ubuntu',
                'CUDA_HOME': '/usr/local/cuda',
                'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-krNBMI1wOi',
                'DEFAULTS_PATH': ['/usr/share/gconf/ubuntu.default.path'],
                'DESKTOP_SESSION': 'ubuntu',
                'DISPLAY': ':0',
                'GDMSESSION': 'ubuntu',
                'GDM_LANG': 'en_US',
                'GNOME_DESKTOP_SESSION_ID': 'this-is-deprecated',
                'GNOME_KEYRING_CONTROL': '',
                'GNOME_KEYRING_PID': '',
                'GPG_AGENT_INFO': '/home/timothy/.gnupg/S.gpg-agent:0:1',
                'GTK2_MODULES': 'overlay-scrollbar',
                'GTK_IM_MODULE': 'ibus',
                'GTK_MODULES': 'gail:atk-bridge:unity-gtk-module',
                'HOME': '/home/timothy',
                'IM_CONFIG_PHASE': '1',
                'INSTANCE': '',
                'JOB': 'unity-settings-daemon',
                'LANG': 'en_US.UTF-8',
                'LANGUAGE': 'en_US',
                'LC_ADDRESS': 'en_US.UTF-8',
                'LC_IDENTIFICATION': 'en_US.UTF-8',
                'LC_MEASUREMENT': 'en_US.UTF-8',
                'LC_MONETARY': 'en_US.UTF-8',
                'LC_NAME': 'en_US.UTF-8',
                'LC_NUMERIC': 'en_US.UTF-8',
                'LC_PAPER': 'en_US.UTF-8',
                'LC_TELEPHONE': 'en_US.UTF-8',
                'LC_TIME': 'en_US.UTF-8',
                'LD_LIBRARY_PATH': ['/usr/local/cuda/bin64'],
                'LESSCLOSE': '/usr/bin/lesspipe %s %s',
                'LESSOPEN': '| /usr/bin/lesspipe %s',
                'LOGNAME': 'timothy',
                'LS_COLORS': 'rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:',
                'MANDATORY_PATH': ['/usr/share/gconf/ubuntu.mandatory.path'],
                'OLDPWD': '/home/timothy/pycharm-2017.2.3/bin',
                'PAPERSIZE': 'letter',
                'PATH': ['/home/timothy/bin',
                         '/home/timothy/.local/bin',
                         '/usr/local/sbin',
                         '/usr/local/bin',
                         '/usr/sbin',
                         '/usr/bin',
                         '/sbin',
                         '/bin',
                         '/usr/games',
                         '/usr/local/games',
                         '/snap/bin'],
                'PWD': '/home/timothy/PycharmProjects/internship_deep_learning_experiment',
                'PYCHARM_HOSTED': '1',
                'PYTHONIOENCODING': 'UTF-8',
                'PYTHONPATH': ['/home/timothy/PycharmProjects/internship_deep_learning_experiment'],
                'PYTHONUNBUFFERED': '1',
                'QT4_IM_MODULE': 'xim',
                'QT_ACCESSIBILITY': '1',
                'QT_IM_MODULE': 'ibus',
                'QT_LINUX_ACCESSIBILITY_ALWAYS_ON': '1',
                'QT_QPA_PLATFORMTHEME': 'appmenu-qt5',
                'SESSION': 'ubuntu',
                'SESSIONTYPE': 'gnome-session',
                'SHELL': '/bin/bash',
                'SHLVL': '1',
                'SSH_AUTH_SOCK': '/run/user/1000/keyring/ssh',
                'TERM': 'xterm-256color',
                'UPSTART_EVENTS': 'xsession started',
                'UPSTART_INSTANCE': '',
                'UPSTART_JOB': 'unity7',
                'UPSTART_SESSION': 'unix:abstract=/com/ubuntu/upstart-session/1000/1721',
                'USER': 'timothy',
                'VTE_VERSION': '4205',
                'WINDOWID': '77594634',
                'XAUTHORITY': '/home/timothy/.Xauthority',
                'XDG_CONFIG_DIRS': '/etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg',
                'XDG_CURRENT_DESKTOP': 'Unity',
                'XDG_DATA_DIRS': '/usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/:/var/lib/snapd/desktop',
                'XDG_GREETER_DATA_DIR': '/var/lib/lightdm-data/timothy',
                'XDG_RUNTIME_DIR': '/run/user/1000',
                'XDG_SEAT': 'seat0',
                'XDG_SEAT_PATH': ['/org/freedesktop/DisplayManager/Seat0'],
                'XDG_SESSION_DESKTOP': 'ubuntu',
                'XDG_SESSION_ID': 'c2',
                'XDG_SESSION_PATH': ['/org/freedesktop/DisplayManager/Session0'],
                'XDG_SESSION_TYPE': 'x11',
                'XDG_VTNR': '7',
                'XMODIFIERS': '@im=ibus',
                '_': './pycharm.sh'},
 'pkg_resources.working_set': [widgetsnbextension 2.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               Werkzeug 0.12.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               webencodings 0.5.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               wcwidth 0.1.7 (/home/timothy/.local/lib/python3.5/site-packages),
                               traitlets 4.3.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               tornado 4.5.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               testpath 0.3.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               terminado 0.6 (/home/timothy/.local/lib/python3.5/site-packages),
                               simplegeneric 0.8.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               qtconsole 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               pyzmq 16.0.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               python-dateutil 2.6.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               Pygments 2.2.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ptyprocess 0.5.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               prompt-toolkit 1.0.15 (/home/timothy/.local/lib/python3.5/site-packages),
                               pip 9.0.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               pickleshare 0.7.4 (/home/timothy/.local/lib/python3.5/site-packages),
                               pexpect 4.2.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               pandocfilters 1.4.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               numpy 1.13.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               notebook 5.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               nbformat 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               nbconvert 5.2.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               mistune 0.7.4 (/home/timothy/.local/lib/python3.5/site-packages),
                               MarkupSafe 1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter 1.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-core 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-console 5.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-client 5.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jsonschema 2.6.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               Jinja2 2.9.6 (/home/timothy/.local/lib/python3.5/site-packages),
                               jedi 0.10.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipywidgets 6.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipython 6.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipython-genutils 0.2.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipykernel 4.6.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               html5lib 0.9999999 (/home/timothy/.local/lib/python3.5/site-packages),
                               entrypoints 0.2.3 (/home/timothy/.local/lib/python3.5/site-packages),
                               decorator 4.1.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               bleach 1.5.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               backports.weakref 1.0rc1 (/home/timothy/.local/lib/python3.5/site-packages),
                               wheel 0.30.0 (/usr/local/lib/python3.5/dist-packages),
                               Theano 0.9.0 (/usr/local/lib/python3.5/dist-packages),
                               tensorflow-tensorboard 0.1.8 (/usr/local/lib/python3.5/dist-packages),
                               tensorflow-gpu 1.3.0 (/usr/local/lib/python3.5/dist-packages),
                               sklearn 0.0 (/usr/local/lib/python3.5/dist-packages),
                               six 1.11.0 (/usr/local/lib/python3.5/dist-packages),
                               setuptools 36.6.0 (/usr/local/lib/python3.5/dist-packages),
                               scipy 0.19.1 (/usr/local/lib/python3.5/dist-packages),
                               scikit-learn 0.19.0 (/usr/local/lib/python3.5/dist-packages),
                               requests-toolbelt 0.8.0 (/usr/local/lib/python3.5/dist-packages),
                               PyYAML 3.12 (/usr/local/lib/python3.5/dist-packages),
                               pytz 2017.2 (/usr/local/lib/python3.5/dist-packages),
                               pyparsing 2.2.0 (/usr/local/lib/python3.5/dist-packages),
                               pydot 1.2.3 (/usr/local/lib/python3.5/dist-packages),
                               protobuf 3.4.0 (/usr/local/lib/python3.5/dist-packages),
                               pandas 0.20.3 (/usr/local/lib/python3.5/dist-packages),
                               matplotlib 2.0.2 (/usr/local/lib/python3.5/dist-packages),
                               Markdown 2.6.9 (/usr/local/lib/python3.5/dist-packages),
                               Keras 2.0.6 (/usr/local/lib/python3.5/dist-packages),
                               h5py 2.7.0 (/usr/local/lib/python3.5/dist-packages),
                               graphviz 0.8 (/usr/local/lib/python3.5/dist-packages),
                               girder-client 2.3.0 (/usr/local/lib/python3.5/dist-packages),
                               diskcache 2.8.3 (/usr/local/lib/python3.5/dist-packages),
                               Cython 0.26 (/usr/local/lib/python3.5/dist-packages),
                               cycler 0.10.0 (/usr/local/lib/python3.5/dist-packages),
                               convnetskeras 0.1 (/usr/local/lib/python3.5/dist-packages),
                               click 6.7 (/usr/local/lib/python3.5/dist-packages),
                               XlsxWriter 0.7.3 (/usr/lib/python3/dist-packages),
                               xkit 0.0.0 (/usr/lib/python3/dist-packages),
                               xdiagnose 3.8.4.1 (/usr/lib/python3/dist-packages),
                               usb-creator 0.3.0 (/usr/lib/python3/dist-packages),
                               urllib3 1.13.1 (/usr/lib/python3/dist-packages),
                               unity-scope-zotero 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-yelp 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-virtualbox 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-tomboy 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-texdoc 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-openclipart 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-manpages 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-gdrive 0.7 (/usr/lib/python3/dist-packages),
                               unity-scope-firefoxbookmarks 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-devhelp 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-colourlovers 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-chromiumbookmarks 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-calculator 0.1 (/usr/lib/python3/dist-packages),
                               unattended-upgrades 0.1 (/usr/lib/python3/dist-packages),
                               ufw 0.35 (/usr/lib/python3/dist-packages),
                               ubuntu-drivers-common 0.0.0 (/usr/lib/python3/dist-packages),
                               system-service 0.3 (/usr/lib/python3/dist-packages),
                               sessioninstaller 0.0.0 (/usr/lib/python3/dist-packages),
                               screen-resolution-extra 0.0.0 (/usr/lib/python3/dist-packages),
                               requests 2.9.1 (/usr/lib/python3/dist-packages),
                               reportlab 3.3.0 (/usr/lib/python3/dist-packages),
                               pyxdg 0.25 (/usr/lib/python3/dist-packages),
                               python-systemd 231 (/usr/lib/python3/dist-packages),
                               python-debian 0.1.27 (/usr/lib/python3/dist-packages),
                               python-apt 1.1.0b1 (/usr/lib/python3/dist-packages),
                               PyJWT 1.3.0 (/usr/lib/python3/dist-packages),
                               pygobject 3.20.0 (/usr/lib/python3/dist-packages),
                               pycurl 7.43.0 (/usr/lib/python3/dist-packages),
                               pycups 1.9.73 (/usr/lib/python3/dist-packages),
                               pyasn1 0.1.9 (/usr/lib/python3/dist-packages),
                               plainbox 0.25 (/usr/lib/python3/dist-packages),
                               Pillow 3.1.2 (/usr/lib/python3/dist-packages),
                               padme 1.1.1 (/usr/lib/python3/dist-packages),
                               onboard 1.2.0 (/usr/lib/python3/dist-packages),
                               oauthlib 1.0.3 (/usr/lib/python3/dist-packages),
                               notify2 0.3 (/usr/lib/python3/dist-packages),
                               Mako 1.0.3 (/usr/lib/python3/dist-packages),
                               lxml 3.5.0 (/usr/lib/python3/dist-packages),
                               louis 2.6.4 (/usr/lib/python3/dist-packages),
                               language-selector 0.1 (/usr/lib/python3/dist-packages),
                               idna 2.0 (/usr/lib/python3/dist-packages),
                               httplib2 0.9.1 (/usr/lib/python3/dist-packages),
                               guacamole 0.9.2 (/usr/lib/python3/dist-packages),
                               feedparser 5.1.3 (/usr/lib/python3/dist-packages),
                               defer 1.0.6 (/usr/lib/python3/dist-packages),
                               cryptography 1.2.3 (/usr/lib/python3/dist-packages),
                               command-not-found 0.3 (/usr/lib/python3/dist-packages),
                               checkbox-support 0.22 (/usr/lib/python3/dist-packages),
                               chardet 2.3.0 (/usr/lib/python3/dist-packages),
                               Brlapi 0.6.4 (/usr/lib/python3/dist-packages),
                               blinker 1.3 (/usr/lib/python3/dist-packages),
                               beautifulsoup4 4.4.1 (/usr/lib/python3/dist-packages),
                               apturl 0.5.2 (/usr/lib/python3/dist-packages)],
 'sys.path': ['/home/timothy/PycharmProjects/internship_deep_learning_experiment',
              '/home/timothy/PycharmProjects/internship_deep_learning_experiment',
              '/usr/lib/python35.zip',
              '/usr/lib/python3.5',
              '/usr/lib/python3.5/plat-x86_64-linux-gnu',
              '/usr/lib/python3.5/lib-dynload',
              '/home/timothy/.local/lib/python3.5/site-packages',
              '/usr/local/lib/python3.5/dist-packages',
              '/usr/lib/python3/dist-packages'],
 'sys.prefix': '/usr',
 'sys.version_info': sys.version_info(major=3, minor=5, micro=2, releaselevel='final', serial=0)}

0

Hi Timothy.

Is it the result of running the script in the terminal or in PyCharm? Could you please attach another one as well?

 

0

Oh dang apologies I thought I included both :/

The one above is Pycharm

Terminal:

{'os.environ': {'CLUTTER_IM_MODULE': 'xim',
                'COMPIZ_CONFIG_PROFILE': 'ubuntu',
                'CUDA_HOME': '/usr/local/cuda',
                'DBUS_SESSION_BUS_ADDRESS': 'unix:abstract=/tmp/dbus-krNBMI1wOi',
                'DEFAULTS_PATH': ['/usr/share/gconf/ubuntu.default.path'],
                'DESKTOP_SESSION': 'ubuntu',
                'DISPLAY': ':0',
                'GDMSESSION': 'ubuntu',
                'GDM_LANG': 'en_US',
                'GNOME_DESKTOP_SESSION_ID': 'this-is-deprecated',
                'GNOME_KEYRING_CONTROL': '',
                'GNOME_KEYRING_PID': '',
                'GPG_AGENT_INFO': '/home/timothy/.gnupg/S.gpg-agent:0:1',
                'GTK2_MODULES': 'overlay-scrollbar',
                'GTK_IM_MODULE': 'ibus',
                'GTK_MODULES': 'gail:atk-bridge:unity-gtk-module',
                'HOME': '/home/timothy',
                'IM_CONFIG_PHASE': '1',
                'INSTANCE': 'Unity',
                'JOB': 'gnome-session',
                'LANG': 'en_US.UTF-8',
                'LANGUAGE': 'en_US',
                'LC_ADDRESS': 'en_US.UTF-8',
                'LC_IDENTIFICATION': 'en_US.UTF-8',
                'LC_MEASUREMENT': 'en_US.UTF-8',
                'LC_MONETARY': 'en_US.UTF-8',
                'LC_NAME': 'en_US.UTF-8',
                'LC_NUMERIC': 'en_US.UTF-8',
                'LC_PAPER': 'en_US.UTF-8',
                'LC_TELEPHONE': 'en_US.UTF-8',
                'LC_TIME': 'en_US.UTF-8',
                'LD_LIBRARY_PATH': ['',
                                    '/usr/local/cuda/lib64',
                                    '/usr/local/cuda/extras/CUPTI/lib64'],
                'LESSCLOSE': '/usr/bin/lesspipe %s %s',
                'LESSOPEN': '| /usr/bin/lesspipe %s',
                'LOGNAME': 'timothy',
                'LS_COLORS': 'rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:',
                'MANDATORY_PATH': ['/usr/share/gconf/ubuntu.mandatory.path'],
                'OLDPWD': '/home/timothy/PycharmProjects',
                'PAPERSIZE': 'letter',
                'PATH': ['/home/timothy/bin',
                         '/home/timothy/.local/bin',
                         '/usr/local/sbin',
                         '/usr/local/bin',
                         '/usr/sbin',
                         '/usr/bin',
                         '/sbin',
                         '/bin',
                         '/usr/games',
                         '/usr/local/games',
                         '/snap/bin'],
                'PWD': '/home/timothy/PycharmProjects/internship_deep_learning_experiment',
                'QT4_IM_MODULE': 'xim',
                'QT_ACCESSIBILITY': '1',
                'QT_IM_MODULE': 'ibus',
                'QT_LINUX_ACCESSIBILITY_ALWAYS_ON': '1',
                'QT_QPA_PLATFORMTHEME': 'appmenu-qt5',
                'SESSIONTYPE': 'gnome-session',
                'SHELL': '/bin/bash',
                'SHLVL': '1',
                'SITK_SHOW_COMMAND': '/home/timothy/Slicer-4.4.0-linux-amd64/slicer.sh',
                'SSH_AUTH_SOCK': '/run/user/1000/keyring/ssh',
                'TERM': 'xterm-256color',
                'UPSTART_EVENTS': 'started starting',
                'UPSTART_INSTANCE': '',
                'UPSTART_JOB': 'unity-settings-daemon',
                'UPSTART_SESSION': 'unix:abstract=/com/ubuntu/upstart-session/1000/1721',
                'USER': 'timothy',
                'VTE_VERSION': '4205',
                'WINDOWID': '77597397',
                'XAUTHORITY': '/home/timothy/.Xauthority',
                'XDG_CONFIG_DIRS': '/etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg',
                'XDG_CURRENT_DESKTOP': 'Unity',
                'XDG_DATA_DIRS': '/usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/:/var/lib/snapd/desktop',
                'XDG_GREETER_DATA_DIR': '/var/lib/lightdm-data/timothy',
                'XDG_RUNTIME_DIR': '/run/user/1000',
                'XDG_SEAT': 'seat0',
                'XDG_SEAT_PATH': ['/org/freedesktop/DisplayManager/Seat0'],
                'XDG_SESSION_DESKTOP': 'ubuntu',
                'XDG_SESSION_ID': 'c2',
                'XDG_SESSION_PATH': ['/org/freedesktop/DisplayManager/Session0'],
                'XDG_SESSION_TYPE': 'x11',
                'XDG_VTNR': '7',
                'XMODIFIERS': '@im=ibus',
                '_': '/usr/bin/python3'},
 'pkg_resources.working_set': [widgetsnbextension 2.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               Werkzeug 0.12.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               webencodings 0.5.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               wcwidth 0.1.7 (/home/timothy/.local/lib/python3.5/site-packages),
                               traitlets 4.3.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               tornado 4.5.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               testpath 0.3.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               terminado 0.6 (/home/timothy/.local/lib/python3.5/site-packages),
                               simplegeneric 0.8.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               qtconsole 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               pyzmq 16.0.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               python-dateutil 2.6.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               Pygments 2.2.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ptyprocess 0.5.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               prompt-toolkit 1.0.15 (/home/timothy/.local/lib/python3.5/site-packages),
                               pip 9.0.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               pickleshare 0.7.4 (/home/timothy/.local/lib/python3.5/site-packages),
                               pexpect 4.2.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               pandocfilters 1.4.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               numpy 1.13.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               notebook 5.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               nbformat 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               nbconvert 5.2.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               mistune 0.7.4 (/home/timothy/.local/lib/python3.5/site-packages),
                               MarkupSafe 1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter 1.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-core 4.3.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-console 5.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jupyter-client 5.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               jsonschema 2.6.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               Jinja2 2.9.6 (/home/timothy/.local/lib/python3.5/site-packages),
                               jedi 0.10.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipywidgets 6.0.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipython 6.1.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipython-genutils 0.2.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               ipykernel 4.6.1 (/home/timothy/.local/lib/python3.5/site-packages),
                               html5lib 0.9999999 (/home/timothy/.local/lib/python3.5/site-packages),
                               entrypoints 0.2.3 (/home/timothy/.local/lib/python3.5/site-packages),
                               decorator 4.1.2 (/home/timothy/.local/lib/python3.5/site-packages),
                               bleach 1.5.0 (/home/timothy/.local/lib/python3.5/site-packages),
                               backports.weakref 1.0rc1 (/home/timothy/.local/lib/python3.5/site-packages),
                               wheel 0.30.0 (/usr/local/lib/python3.5/dist-packages),
                               Theano 0.9.0 (/usr/local/lib/python3.5/dist-packages),
                               tensorflow-tensorboard 0.1.8 (/usr/local/lib/python3.5/dist-packages),
                               tensorflow-gpu 1.3.0 (/usr/local/lib/python3.5/dist-packages),
                               sklearn 0.0 (/usr/local/lib/python3.5/dist-packages),
                               six 1.11.0 (/usr/local/lib/python3.5/dist-packages),
                               SimpleITK 1.0.1 (/usr/local/lib/python3.5/dist-packages),
                               setuptools 36.6.0 (/usr/local/lib/python3.5/dist-packages),
                               scipy 0.19.1 (/usr/local/lib/python3.5/dist-packages),
                               scikit-learn 0.19.0 (/usr/local/lib/python3.5/dist-packages),
                               requests-toolbelt 0.8.0 (/usr/local/lib/python3.5/dist-packages),
                               PyYAML 3.12 (/usr/local/lib/python3.5/dist-packages),
                               pytz 2017.2 (/usr/local/lib/python3.5/dist-packages),
                               pyparsing 2.2.0 (/usr/local/lib/python3.5/dist-packages),
                               pydot 1.2.3 (/usr/local/lib/python3.5/dist-packages),
                               protobuf 3.4.0 (/usr/local/lib/python3.5/dist-packages),
                               pandas 0.20.3 (/usr/local/lib/python3.5/dist-packages),
                               matplotlib 2.0.2 (/usr/local/lib/python3.5/dist-packages),
                               Markdown 2.6.9 (/usr/local/lib/python3.5/dist-packages),
                               Keras 2.0.6 (/usr/local/lib/python3.5/dist-packages),
                               h5py 2.7.0 (/usr/local/lib/python3.5/dist-packages),
                               graphviz 0.8 (/usr/local/lib/python3.5/dist-packages),
                               girder-client 2.3.0 (/usr/local/lib/python3.5/dist-packages),
                               diskcache 2.8.3 (/usr/local/lib/python3.5/dist-packages),
                               Cython 0.26 (/usr/local/lib/python3.5/dist-packages),
                               cycler 0.10.0 (/usr/local/lib/python3.5/dist-packages),
                               convnetskeras 0.1 (/usr/local/lib/python3.5/dist-packages),
                               click 6.7 (/usr/local/lib/python3.5/dist-packages),
                               XlsxWriter 0.7.3 (/usr/lib/python3/dist-packages),
                               xkit 0.0.0 (/usr/lib/python3/dist-packages),
                               xdiagnose 3.8.4.1 (/usr/lib/python3/dist-packages),
                               usb-creator 0.3.0 (/usr/lib/python3/dist-packages),
                               urllib3 1.13.1 (/usr/lib/python3/dist-packages),
                               unity-scope-zotero 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-yelp 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-virtualbox 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-tomboy 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-texdoc 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-openclipart 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-manpages 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-gdrive 0.7 (/usr/lib/python3/dist-packages),
                               unity-scope-firefoxbookmarks 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-devhelp 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-colourlovers 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-chromiumbookmarks 0.1 (/usr/lib/python3/dist-packages),
                               unity-scope-calculator 0.1 (/usr/lib/python3/dist-packages),
                               unattended-upgrades 0.1 (/usr/lib/python3/dist-packages),
                               ufw 0.35 (/usr/lib/python3/dist-packages),
                               ubuntu-drivers-common 0.0.0 (/usr/lib/python3/dist-packages),
                               system-service 0.3 (/usr/lib/python3/dist-packages),
                               sessioninstaller 0.0.0 (/usr/lib/python3/dist-packages),
                               screen-resolution-extra 0.0.0 (/usr/lib/python3/dist-packages),
                               requests 2.9.1 (/usr/lib/python3/dist-packages),
                               reportlab 3.3.0 (/usr/lib/python3/dist-packages),
                               pyxdg 0.25 (/usr/lib/python3/dist-packages),
                               python-systemd 231 (/usr/lib/python3/dist-packages),
                               python-debian 0.1.27 (/usr/lib/python3/dist-packages),
                               python-apt 1.1.0b1 (/usr/lib/python3/dist-packages),
                               PyJWT 1.3.0 (/usr/lib/python3/dist-packages),
                               pygobject 3.20.0 (/usr/lib/python3/dist-packages),
                               pycurl 7.43.0 (/usr/lib/python3/dist-packages),
                               pycups 1.9.73 (/usr/lib/python3/dist-packages),
                               pyasn1 0.1.9 (/usr/lib/python3/dist-packages),
                               plainbox 0.25 (/usr/lib/python3/dist-packages),
                               Pillow 3.1.2 (/usr/lib/python3/dist-packages),
                               padme 1.1.1 (/usr/lib/python3/dist-packages),
                               onboard 1.2.0 (/usr/lib/python3/dist-packages),
                               oauthlib 1.0.3 (/usr/lib/python3/dist-packages),
                               notify2 0.3 (/usr/lib/python3/dist-packages),
                               Mako 1.0.3 (/usr/lib/python3/dist-packages),
                               lxml 3.5.0 (/usr/lib/python3/dist-packages),
                               louis 2.6.4 (/usr/lib/python3/dist-packages),
                               language-selector 0.1 (/usr/lib/python3/dist-packages),
                               idna 2.0 (/usr/lib/python3/dist-packages),
                               httplib2 0.9.1 (/usr/lib/python3/dist-packages),
                               guacamole 0.9.2 (/usr/lib/python3/dist-packages),
                               feedparser 5.1.3 (/usr/lib/python3/dist-packages),
                               defer 1.0.6 (/usr/lib/python3/dist-packages),
                               cryptography 1.2.3 (/usr/lib/python3/dist-packages),
                               command-not-found 0.3 (/usr/lib/python3/dist-packages),
                               checkbox-support 0.22 (/usr/lib/python3/dist-packages),
                               chardet 2.3.0 (/usr/lib/python3/dist-packages),
                               Brlapi 0.6.4 (/usr/lib/python3/dist-packages),
                               blinker 1.3 (/usr/lib/python3/dist-packages),
                               beautifulsoup4 4.4.1 (/usr/lib/python3/dist-packages),
                               apturl 0.5.2 (/usr/lib/python3/dist-packages)],
 'sys.path': ['/home/timothy/PycharmProjects/internship_deep_learning_experiment',
              '/usr/lib/python35.zip',
              '/usr/lib/python3.5',
              '/usr/lib/python3.5/plat-x86_64-linux-gnu',
              '/usr/lib/python3.5/lib-dynload',
              '/home/timothy/.local/lib/python3.5/site-packages',
              '/usr/local/lib/python3.5/dist-packages',
              '/usr/lib/python3/dist-packages'],
 'sys.prefix': '/usr',
 'sys.version_info': sys.version_info(major=3, minor=5, micro=2, releaselevel='final', serial=0)}

0

Yes, apparently this difference in LD_LIBRARY_PATH is the case, which is weird since it should have been inherited once you restarted the IDE.

1

so what do you recommend? just add this to the path or is there a deeper underlying issue?

0

It depends on where these extra entries in LD_LIBRARY_PATH are set. Normally, you need to log out of the system so that the process of your desktop manager updated its environment and propagated it to other applications like PyCharm. Also, you don't have any custom environment variables configured for the run configuration you use to launch your program from the IDE, don't you? There is nothing in PyCharm itself that keeps such stale environment variables deliberately.

0

I had a similar (actually, identical) problem with IDEA 2017.3.4 CE. The advice was very helpful. Thanks!

0

Please sign in to leave a comment.